@import url('https://fonts.googleapis.com/css2?family=Do+Hyeon&family=Play&display=swap');

/* login  */
.login, .register , .second-factor, .verify{
    font-family: 'Play', sans-serif;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login .bg, .register .bg, .second-factor .bg, .verify .bg{
    background-image: url(/adm-source/public/img/login/fondo.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}

.login .title-login, .register .title-register, .second-factor .title-second-factor, .verify .title-verify{
    font-family: 'Do Hyeon', sans-serif;
    font-size: 3rem;
}

.login .text-neon, .register .text-neon {
    color: #fff;
    text-shadow: 0 0 10px #ff0000,
                    0 0 20px #ffffff,
                    0 0 30px #000000,
                    0 0 40px #ff0000,
                    0 0 50px #ff0000,
                    0 0 60px #ff0000;

}

.login .form-control {
    padding: 10px 0;
    border-radius: 0;
    border: 0;
    border-bottom: 1px solid #fff;
    background-color: transparent;
    color: #ffffff;
    text-shadow: 0 0 5px #ffffff,
            0 0 20px #000000,
            0 0 30px #ff0000,
            0 0 40px #ff0000,
            0 0 50px #ff0000,
            0 0 60px #ff0000,
            0 0 70px #ff0000;
}

.login .form-control:focus {
    border-bottom: 1px solid #ff0000;
    box-shadow: none;
    background: transparent;
}

.login .form-control:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 30px #212529 inset;
    -webkit-text-fill-color: #ffffff;
}

.login .form-control:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 30px #212529 inset;
    -webkit-text-fill-color: #ffffff;
}

.login .form-check-input {
    border: 1px solid #fff;
    background-color: transparent;
    color: #ffffff;
}

.login .form-check-input:checked {
    border: 1px solid #ff0000;
    background-color: #ff0000;
}

.login .btn-neon {
    background-color: transparent;
    border: 1px solid #ff0000;
    color: #ffffff;
    box-shadow: 0 0 10px #ff0000;
    text-shadow: 0 0 10px #ff0000;
}

.login .btn-neon:hover {
    background-color: #ff0000;
    box-shadow: 0 0 10px #ff0000,
                0 0 20px #000000,
                0 0 30px #ff0000;
}
/* End login */

/* register */
.register .text-neon {
    color: #fff;
    text-shadow: 0 0 10px #0d6efd,
        0 0 20px #ffffff,
        0 0 30px #000000,
        0 0 40px #0d6efd,
        0 0 50px #0d6efd,
        0 0 60px #0d6efd;
}

.register .form-control {
    padding: 10px 0;
    border-radius: 0;
    border: 0;
    border-bottom: 1px solid #fff;
    background-color: transparent;
    color: #ffffff;
    text-shadow: 0 0 5px #ffffff,
        0 0 20px #000000,
        0 0 30px #0d6efd,
        0 0 40px #0d6efd,
        0 0 50px #0d6efd,
        0 0 60px #0d6efd,
        0 0 70px #0d6efd;
}

.register .form-control:focus {
    border-bottom: 1px solid #0d6efd;
    box-shadow: none;
    background: transparent;
}

.register .form-control:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 30px #212529 inset;
    -webkit-text-fill-color: #ffffff;
}

.register .form-control:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 30px #212529 inset;
    -webkit-text-fill-color: #ffffff;
}

.register .form-check-input {
    border: 1px solid #fff;
    background-color: transparent;
    color: #ffffff;
}

.register .form-check-input:checked {
    border: 1px solid #0d6efd;
    background-color: #0d6efd;
}

.register .btn-neon {
    background-color: transparent;
    border: 1px solid #0d6efd;
    color: #ffffff;
    box-shadow: 0 0 10px #0d6efd;
    text-shadow: 0 0 10px #0d6efd;
}

.register .btn-neon:hover {
    background-color: #0d6efd;
    box-shadow: 0 0 10px #0d6efd,
        0 0 20px #000000,
        0 0 30px #0d6efd;
}
/* end register */

/* second-factor */
.second-factor .text-neon {
    color: #fff;
    text-shadow: 0 0 10px #fec51c,
        0 0 20px #ffffff,
        0 0 30px #000000,
        0 0 40px #fec51c,
        0 0 50px #fec51c,
        0 0 60px #fec51c;
}

.second-factor .form-control {
    padding: 10px 0;
    border-radius: 0;
    border: 0;
    border-bottom: 1px solid #fff;
    background-color: transparent;
    color: #ffffff;
    text-shadow: 0 0 5px #ffffff,
        0 0 20px #000000,
        0 0 30px #fec51c,
        0 0 40px #fec51c,
        0 0 50px #fec51c,
        0 0 60px #fec51c,
        0 0 70px #fec51c;
}

.second-factor .form-control:focus {
    border-bottom: 1px solid #fec51c;
    box-shadow: none;
    background: transparent;
}

.second-factor .form-control:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 30px #212529 inset;
    -webkit-text-fill-color: #ffffff;
}

.second-factor .form-control:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 30px #212529 inset;
    -webkit-text-fill-color: #ffffff;
}

.second-factor .form-check-input {
    border: 1px solid #fff;
    background-color: transparent;
    color: #ffffff;
}

.second-factor .form-check-input:checked {
    border: 1px solid #fec51c;
    background-color: #fec51c;
}

.second-factor .btn-neon {
    background-color: transparent;
    border: 1px solid #fec51c;
    color: #ffffff;
    box-shadow: 0 0 10px #fec51c;
    text-shadow: 0 0 10px #fec51c;
}

.second-factor .btn-neon:hover {
    background-color: #fec51c;
    box-shadow: 0 0 10px #fec51c,
        0 0 20px #000000,
        0 0 30px #fec51c;
}

/* end second-factor */

/* reset password */
.verify .form-control {
    padding: 10px 0;
    border-radius: 0;
    border: 0;
    border-bottom: 1px solid #fff;
    background-color: transparent;
    color: #ffffff;
    text-shadow: 0 0 5px #ffffff,
        0 0 20px #000000,
        0 0 30px #1a8251,
        0 0 40px #1a8251,
        0 0 50px #1a8251,
        0 0 60px #1a8251,
        0 0 70px #1a8251;
}

.verify .form-control:focus {
    border-bottom: 1px solid #1a8251;
    box-shadow: none;
    background: transparent;
}

.verify .form-control:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 30px #212529 inset;
    -webkit-text-fill-color: #ffffff;
}

.verify .form-control:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 30px #212529 inset;
    -webkit-text-fill-color: #ffffff;
}

.verify .form-check-input {
    border: 1px solid #fff;
    background-color: transparent;
    color: #ffffff;
}

.verify .form-check-input:checked {
    border: 1px solid #1a8251;
    background-color: #1a8251;
}

.verify .btn-neon {
    background-color: transparent;
    border: 1px solid #1a8251;
    color: #ffffff;
    box-shadow: 0 0 10px #1a8251;
    text-shadow: 0 0 10px #1a8251;
}

.verify .btn-neon:hover {
    background-color: #1a8251;
    box-shadow: 0 0 10px #1a8251,
        0 0 20px #000000,
        0 0 30px #1a8251;
}

.timeline-item {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 20px; /* Ajusta según sea necesario */
}

.timeline-time,
.timeline-body {
    flex: 1;
}


